Description

How should LogRange::mapRange behave when either min or max is non-zero but smaller than the provided threshold?

As it stands, we will get a "wider" range for mapRange(1e-20, 1) than we will for (0, 1), which doesn't seem to make a lot of sense. We
should add some tests for these and check what it really should do for proper behaviour.

History
#1 - 2017-02-28 03:27 PM - Chris Cannam

I've persuaded myself that the current behaviour is OK, thinking of the threshold value as a sort of substitute for the singularity at 0 rather than an
actual threshold. I've added some unit tests that document and ratify this situation.

#2 - 2017-02-28 03:30 PM - Chris Cannam
- Status changed from New to Resolved

#3 - 2017-03-03 12:02 PM - Chris Cannam
- Status changed from Resolved to Closed
